import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';

import { WizardBaseComponent } from './wizard-base/wizard-base.component';
import { ModalOneComponent } from './wizard-base/modal-one/modal-one.component';
import { ModalTwoComponent } from './wizard-base/modal-two/modal-two.component';
import { DummyComponent } from './dummy/dummy.component';
import { LayoutUiComponent } from './layouts/ui.component';
import { LayoutPrintComponent } from './layouts/print.component';
import { InvoiceComponent } from './invoice/invoice.component';

const routes: Routes = [
  { path: '', redirectTo: '/wizard', pathMatch: 'full' },
  {
    path: '',
    component: LayoutUiComponent,
    children: [
      {
        path: 'wizard',
        component: WizardBaseComponent,
        children: [
          { path: '1', component: ModalOneComponent },
          { path: '2', component: ModalTwoComponent },
        ]
      },
      {
        path: 'dummy',
        component: DummyComponent
      },
    ]
  },
  {
    path: 'print',
    component: LayoutPrintComponent,
    children: [
      { path: 'invoice', component: InvoiceComponent },
    ],
  }
];

@NgModule({
  imports: [ RouterModule.forRoot(routes, { useHash: true }) ],
  exports: [ RouterModule ]
})
export class AppRoutingModule {
}
