import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { FormsModule } from '@angular/forms';
import { HttpModule } from '@angular/http';

import { AppRoutingModule } from './app-routing.module';

import { AppComponent } from './app.component';
import { WizardBaseComponent } from './wizard-base/wizard-base.component';
import { ModalOneComponent } from './wizard-base/modal-one/modal-one.component';
import { ModalTwoComponent } from './wizard-base/modal-two/modal-two.component';
import { SharedServiceService } from './services/shared-service.service';
import { DummyComponent } from './dummy/dummy.component';
import { InvoiceComponent } from './invoice/invoice.component';
import { LayoutUiComponent } from './layouts/ui.component';
import { LayoutPrintComponent } from './layouts/print.component';

@NgModule({
  declarations: [
    AppComponent,
    WizardBaseComponent,
    ModalOneComponent,
    ModalTwoComponent,
    DummyComponent,
    InvoiceComponent,
    LayoutUiComponent,
    LayoutPrintComponent,
  ],
  imports: [
    BrowserModule,
    FormsModule,
    HttpModule,
    AppRoutingModule
  ],
  providers: [ SharedServiceService ],
  bootstrap: [AppComponent]
})
export class AppModule { }
